Subject: bug#7771: 23.1; can't turn off font-lock-mode globally

From: "Drew Adams" <[email-masked]>
Date: Mon, 3 Jan 2011 10:09:47 -0800

> I think a more accurate statement would be
> "compilation-mode needs font-lock to be turned on for its
> functionality, so it turns it on unconditionally in the compilation
> buffer."

Maybe that is more accurate, but the point of the thread is that
compilation-mode should _not_ "need font-lock to be turned on for its
functionality".

That was my point, anyway.  "Its functionality", at least its real raison
d'etre, does not include highlighting.  Highlighting is a nice-to-have (or not,
depending on one's preference).  It is not part of the core functionality.

But I think we all more or less agree that this should be fixed (as soon as it
can be).